#ifndef SNEeSe_PPU_i
#define SNEeSe_PPU_i

.macro Set_21_Read address,handler
  movl $(\handler),Read_Map_21+(\address)*4
.endm

.macro Set_21_Write address,handler
  movl $(\handler),Write_Map_21+(\address)*4
.endm

// Offsets from TableBG#
#define TileCount1 0
#define TileCount2 1
#define BGSC 2
#define Depth 3
#define BG_Redo 4
#define FirstPixel 8
#define FirstTile 0x0C
#define VScroll 0x10
#define HScroll 0x14
#define VLMapAddress 0x18
#define VRMapAddress 0x1C
#define LineRender 0x20
#define SetAddress 0x24
//#define LMapAddress 0x28
//#define RMapAddress 0x2C
#define MapAddress 0x30
#define TLMapAddress 0x30
#define TRMapAddress 0x34
#define BLMapAddress 0x38
#define BRMapAddress 0x3C
#define TileHeight 0x40
#define TileWidth 0x41
#define Mosaic 0x42
#define NBA 0x43
#define NBATable 0x44

#endif /* SNEeSe_PPU_i */
