/*

 SPC700 opcodes 0x10-0x1F:
    10: BPL rel         2,2/4
    11: TCALL 1         1,8
    12: CLR1 dp.0       2,4
    13: BBC dp.0,rel    3,5/7
    14: OR  A,dp+X      2,4
    15: OR  A,labs+X    3,5
    16: OR  A,labs+Y    3,5
    17: OR  A,(dp)+Y    2,6
    18: OR  dp,#imm     3,5
    19: OR  (X),(Y)     1,5
    1A: DECW dp         2,6
    1B: ASL dp+X        2,5
    1C: ASL A           1,2
    1D: DEC X           1,2
    1E: CMP X,labs      3,4
    1F: JMP (labs+X)    3,6

*/

/* 10 */ SPC_BFC BPL,SPC_FLAG_N
/* 11 */ TCALL 1
/* 12 */ /* SPC_CLR1 in SPCmain.S */
/* 13 */ /* SPC_BBC in SPCmain.S */
/* 14 */ SPC_OR_A Odp_XO
/* 15 */ SPC_OR_A Oabs_XO
/* 16 */ SPC_OR_A Oabs_YO
/* 17 */ SPC_OR_A OOdpO_YO
/* 18 */ SPC_OR_mem dp_IM
/* 19 */ SPC_OR_mem OXO_OYO
/* 1A */

ALIGNC
SPC_DECW_dp:
    ADDR_dp
    GET_WORD_SPC            // get DP word
    decw %ax
    movb %ah,%cl
    STORE_FLAGS_SPC (SPC_FLAG_NZ)
    decw %bx
    movb %cl,%ah
    SET_WORD_SPC
    jmp SPC_BACK

/* 1B */ SPC_ASL Odp_XO
/* 1C */

ALIGNC
SPC_ASL_A:
    movb _A,%al
    incl _NativePC
    addb %al,%al
    STORE_FLAGS_SPC (SPC_FLAG_NZC)
    movb %al,_A
    jmp SPC_BACK

/* 1D */ SPC_DEC_reg X
/* 1E */ SPC_CMP_X abs
/* 1F */

ALIGNC
SPC_JMP_Oabs_XO:
  ADDR_Oabs_XO
  GET_WORD_SPC
  cmpl $0xFFC0,%eax
  movl %eax,_NativePC
  movl SPC_FFC0_Address,%eax
  jnb 0f
  movl $_SPCRAM,%eax
0:addl %eax,_NativePC
  movl %eax,SPC_Code_Base
  jmp SPC_BACK
