/*

 SPC700 opcodes 0xD0-0xDF:
    D0: BNE rel         2,2/4
    D1: TCALL 13        1,8
    D2: CLR1 dp.6       2,4
    D3: BBC dp.6,rel    3,5/7
    D4: MOV dp+X,A      2,5
    D5: MOV labs+X,A    3,6
    D6: MOV labs+Y,A    3,6
    D7: MOV (dp)+Y,A    2,7
    D8: MOV dp,X        2,4
    D9: MOV dp+Y,X      2,5
    DA: MOVW dp,YA      2,4
    DB: MOV dp+X,Y      2,5
    DC: DEC Y           1,2
    DD: MOV A,Y         1,2
    DE: CBNE dp+X,rel   3,6/8
    DF: DAA A           1,3

*/

/* D0 */ SPC_BFC BNE,SPC_FLAG_Z
/* D1 */ TCALL 13
/* D2 */ /* SPC_CLR1 in SPCmain.S */
/* D3 */ /* SPC_BBC in SPCmain.S */
/* D4 */ SPC_MOV_mem_A Odp_XO
/* D5 */ SPC_MOV_mem_A Oabs_XO
/* D6 */ SPC_MOV_mem_A Oabs_YO
/* D7 */ SPC_MOV_mem_A OOdpO_YO
/* D8 */ SPC_MOV_mem_X dp
/* D9 */ SPC_MOV_mem_X Odp_YO
/* DA */

ALIGNC
SPC_MOV_dp_YA:
    ADDR_dp
    movl _YA,%eax
    SET_WORD_SPC
    jmp SPC_BACK

/* DB */ SPC_MOV_mem_Y Odp_XO
/* DC */ SPC_DEC_reg Y
/* DD */ SPC_MOV_reg_reg A,Y
/* DE */

ALIGNC
SPC_CBNE_Odp_XO:
    movl SPC_PAGE,%ebx
    movb _X,%cl
    movb 1(_NativePC),%bl   // get dp
    addb %cl,%bl

    GET_BYTE_SPC        // Get (dp)
    cmpb %al,_A
    je  9f
    movsbl 2(_NativePC),%eax    // sign extend for addition
    addl $2,_Cycles         // Branch taken
    addl %eax,_NativePC
//  addl $2,_TotalCycles
9:  addl $3,_NativePC
    jmp SPC_BACK

/* DF */ /* DAA - not yet implemented */
